#pragma once
#include "gui.hpp"
#include "game_engine.hpp"
#include <stdio.h>

using std::string;

struct MatchResult {
  bool match = false;
  string file_name = "";
  string lnumber = "";
  string col = "";
  string type = "";
  string message = "";
};

class Builder {
  GUI gui;
  GameEngine game;
  string git_path = "NOT SET";
  string build_cmd = "NOT SET";

  public:

  Builder(GUI &g, GameEngine &engine);

  MatchResult parse_line(const string &line);

  void run();
};
